#!/bin/csh -x -f

if ( ! ${?MWHOME} )  then
    echo "You must set the MWHOME enviroment variable to use the MainWin Runtime Environment"
    exit
endif

source $MWHOME/setup-mwuser.csh


if (! ${?LD_LIBRARY_PATH}) then
        setenv LD_LIBRARY_PATH ""
endif
if (! ${?SHLIB_PATH}) then
        setenv SHLIB_PATH ""
endif
if (! ${?LIBPATH}) then
        setenv LIBPATH ""
endif


switch (${MWARCH_OS})
     case sparc_sunos5:
			set path = ( $path /usr/openwin/bin )
            setenv MWCONFIG_NAME sunos5
            breaksw
     case hp700_ux10:
			set path = ( $path /usr/contrib/bin/X11 )
            setenv MWCONFIG_NAME ux10
            breaksw
     case hp700_ux11:
			set path = ( $path /usr/contrib/bin/X11 )
            setenv MWCONFIG_NAME ux11
            breaksw
     #case i86_sysvr4_2:
            #setenv MWCONFIG_NAME i86
            #breaksw
     case rs6000_aix4:
			set path = ( $path /usr/bin/X11 )
		    if (${?LIBPATH}) then
				setenv LIBPATH ${LIBPATH}:/usr/lib
			else
			    setenv LIBPATH /usr/lib
			endif
            setenv MWCONFIG_NAME aix4
            breaksw
     case alpha_osf1v4:
			set path = ( $path /usr/bin/X11 )
            setenv MWCONFIG_NAME osf1v4
            breaksw
     case mips_irix6:
			set path = ( $path /usr/bin/X11 )
		    setenv MWCLIPBOARD_WITHOUT_TIMER 1
            setenv MWCONFIG_NAME irix6
            breaksw
	 case i86_linux:
                if (${?PATH}) then
                     setenv PATH ${PATH}:/usr/bin/X11
                 else
                     setenv PATH /bin:/usr/bin:/sbin:/usr/etc:/usr/local/bin:/usr/bin/X11
                 endif

			setenv MWCONFIG_NAME linux
			breaksw
endsw



set new_path = "${MWHOME}/bin-${MWCONFIG_NAME}_optimized"

if ( ${?MWDEBUG} ) then
	set new_libpath = "${MWHOME}/lib-${MWCONFIG_NAME}:${MWHOME}/lib-${MWCONFIG_NAME}_debug:${MWHOME}/lib-${MWCONFIG_NAME}_optimized"
else
	set new_libpath = "${MWHOME}/lib-${MWCONFIG_NAME}:${MWHOME}/lib-${MWCONFIG_NAME}_optimized"
endif

#Adding support for the stingray
if ( ${?MWSTINGRAY_HOME} ) then
   if ( -d ${MWSTINGRAY_HOME} ) then
     set new_path = "${new_path}:${MWSTINGRAY_HOME}/bin-${MWCONFIG_NAME}_optimized"
      if ( ${?MWDEBUG} ) then
        set new_libpath = "${new_libpath}:${MWSTINGRAY_HOME}/lib-${MWCONFIG_NAME}_debug:${MWSTINGRAY_HOME}/lib-${MWCONFIG_NAME}_optimized"
      else
        set new_libpath = "${new_libpath}:${MWSTINGRAY_HOME}/lib-${MWCONFIG_NAME}_optimized"
      endif
   endif
endif

# Adding support for ODBC
if ( ${?MWODBC_HOME} ) then
   if ( -d ${MWODBC_HOME}/. ) then
     set new_libpath = "${new_libpath}:${MWODBC_HOME}/${MWCONFIG_NAME}/lib"
   endif
endif

if (! ${?MWCURRENT_LIBPATH}) then
   setenv LD_LIBRARY_PATH ${new_libpath}:${LD_LIBRARY_PATH}
   setenv SHLIB_PATH ${new_libpath}:${SHLIB_PATH}
   setenv LIBPATH ${new_libpath}:${LIBPATH}
   #setenv PATH ${PATH}:${new_path}
   setenv PATH ${new_path}:${PATH}
#
else
   setenv LD_LIBRARY_PATH `echo ${LD_LIBRARY_PATH} | sed -e 's@'${MWCURRENT_LIBPATH}@${new_libpath}'@'`
    setenv SHLIB_PATH `echo ${SHLIB_PATH} | sed -e 's@'${MWCURRENT_LIBPATH}@${new_libpath}'@'`
    setenv LIBPATH `echo ${LIBPATH} | sed -e 's@'${MWCURRENT_LIBPATH}@${new_libpath}'@'`
    setenv PATH `echo ${PATH} | sed -e 's@'${MWCURRENT_PATH}@${new_path}'@'`
endif

setenv MWCURRENT_LIBPATH ${new_libpath}
setenv MWCURRENT_PATH ${new_path}
unset new_libpath
unset new_path
setenv MWRUNTIME 1
